Create a confirmation
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| Idempotency-Key | header | string | No | Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours. |
{
"type": "object",
"properties": {
"mfaChallengeToken": {
"type": "string"
},
"code": {
"type": "string"
},
"factor": {
"type": "string",
"enum": [
"totp",
"recovery"
]
}
},
"required": [
"mfaChallengeToken",
"factor"
]
}| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 201 | Success | application/json | object |
| 400 | Bad request. Enumerated catalog codes for this operation. | application/problem+json | union |
| 409 | Conflict. Enumerated catalog codes for this operation. | application/problem+json | union |
{
"type": "object",
"properties": {
"data": {
"$ref": "#/components/schemas/AuthMeResponseDto"
},
"meta": {
"type": "object",
"properties": {
"requestId": {
"type": "string"
}
},
"required": [
"requestId"
]
}
},
"required": [
"data",
"meta"
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
400
]
},
"code": {
"type": "string",
"enum": [
"AUTH_PROVIDER_NOT_CONFIGURED",
"BAD_REQUEST",
"CSRF_INVALID",
"CURRENT_PASSWORD_INVALID",
"CURRENT_PASSWORD_REQUIRED",
"IDEMPOTENCY_KEY_INVALID",
"IF_MATCH_INVALID",
"OAUTH_ACCOUNT_LINK_REQUIRED",
"OAUTH_EXCHANGE_FAILED",
"OAUTH_STATE_INVALID",
"PASSWORD_POLICY_VIOLATION",
"PASSWORD_RESET_CODE_EXPIRED",
"PASSWORD_RESET_CODE_INVALID",
"PASSWORD_RESET_REQUEST_TOO_FREQUENT",
"PASSWORD_RESET_TOKEN_EXPIRED",
"PASSWORD_RESET_TOKEN_INVALID",
"PASSWORD_REUSE_NOT_ALLOWED",
"REGISTRATION_INVITATION_EXPIRED",
"SSO_NOT_CONFIGURED",
"TENANT_CONTEXT_MISMATCH",
"TENANT_REQUIRED",
"VALIDATION_ERROR"
]
}
}
}
]
}{
"allOf": [
{
"$ref": "#/components/schemas/ProblemJson"
},
{
"type": "object",
"properties": {
"status": {
"type": "integer",
"enum": [
409
]
},
"code": {
"type": "string",
"enum": [
"CURRENT_SESSION_NOT_REVOCABLE",
"EMAIL_ALREADY_REGISTERED",
"IDEMPOTENCY_CONFLICT"
]
}
}
}
]
}curl -X POST 'https://api.embodiflow.com/v1/sessions/mfa-challenges/confirmations' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{}'